Bug 138621 - three improvements in File > Templates and associated .uno commands
Summary: three improvements in File > Templates and associated .uno commands
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: sdc.blanco
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks:
 
Reported: 2020-12-02 15:10 UTC by sdc.blanco
Modified: 2020-12-20 08:35 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-12-02 15:10:10 UTC
1. ”Open Template” should be renamed to ”Edit Template”    
   (explains its function better)

2. The three entries in the File>Templates submenu 
(Open Template, Save Template, Manage Templates)
 should have their corresponding icons, such as appears
 in Tools>Customize>Menus).

3. In Tools>Customize>Menus>Search (enter:  temp)   
   (result: 4 .uno commands)

a. There are two ”Templates”, corresponding respectively to .uno:TemplateManager and .uno:NewDoc. Afaict, they do the same thing.  Is that the intention?

	b.  the icon for the .uno:NewDoc command is exactly the same as the icon in the menu for File>Templates  (but has different function).  Should be different icon. 

c.  Curiously, tooltip for .uno:TemplateManager is ”Templates”  
         while tooltip for .uno:NewDoc is ”Show Templates Manager”     

If both .uno commands are retained (because of API?), perhaps tooltips should be improved.
Comment 1 Heiko Tietze 2020-12-03 11:53:00 UTC
(In reply to sdc.blanco from comment #0)
> 1. ”Open Template” should be renamed to ”Edit Template”    
>    (explains its function better)

It was changed from Edit for bug 61396. Maybe not intentionally since bug 61396 comment 18 talks about "Open for Editing".

> 2. The three entries in the File>Templates submenu 
> (Open Template, Save Template, Manage Templates)
>  should have their corresponding icons, such as appears
>  in Tools>Customize>Menus).

The ...menu:style="text" modification was done by Andreas for bug 124649. Only the most relevant commands should have an icon as attractor. Keeping the other less distracting is not so important in case of submenus.

> 3. In Tools>Customize>Menus>Search (enter:  temp)   
>    (result: 4 .uno commands)
> 
> a. There are two ”Templates”, corresponding respectively to
> .uno:TemplateManager and .uno:NewDoc. Afaict, they do the same thing.  Is
> that the intention?

Seems so. But .uno:TemplateManager is not used in menus or toolbars anyway so maybe we just hide it from the customization.

> 	b.  the icon for the .uno:NewDoc command is exactly the same as the icon in
> the menu for File>Templates  (but has different function).  Should be
> different icon. 

.uno:TemplateManager, to be hidden if we agree on a), is the same as .uno:TemplateMenu but NewDoc has a decoration, at least with the KJ theme. Please be more specific here.

> c.  Curiously, tooltip for .uno:TemplateManager is ”Templates”  
>          while tooltip for .uno:NewDoc is ”Show Templates Manager”     
> 
> If both .uno commands are retained (because of API?), perhaps tooltips
> should be improved.

The .uno:NewDoc works pretty well to me.
Comment 2 Heiko Tietze 2020-12-10 08:12:30 UTC
We discussed the idea in the design meeting.

1) No clear preference for renaming from Open into Edit. (Weak) argument to keep Open is that this template has not been integrated into the manager.
In officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu
find  <node oor:name=".uno:OpenTemplate" oor:op="replace">
and change the label

2) Bring back the icons (no need to hide in submenus)
In sw/uiconfig/swriter/menubar/menubar.xml
find <menu:menu menu:id=".uno:TemplateMenu"> and
drop menu:style="text" from the three commands below

3) Hide the .uno:TemplateManager from customization
In sfx2/sdi/sfx.sdi
find SfxVoidItem TemplateManager SID_TEMPLATE_MANAGER
and set *Config to FALSE
Comment 3 sdc.blanco 2020-12-10 13:56:21 UTC
(In reply to Heiko Tietze from comment #1)
Hiding the .uno:TemplateManager should resolve the icon problem.

> >  while tooltip for .uno:NewDoc is ”Show Templates Manager”     
> The .uno:NewDoc works pretty well to me.
Would propose "Open Templates Manager"   (because it is a popup dialog box)


(In reply to Heiko Tietze from comment #2)
> 1) No clear preference for renaming from Open into Edit. (Weak) argument to
> keep Open is that this template has not been integrated into the manager.
I agree ‟Open” vs. ‟Edit” is a minor point – especially if template handling workflow continues to be improved.

But as long as the paint is still wet...

As requested in bug 137906 , would be nice for File menu to present a list of templates, where the selected one is opened immediately as a NEW .odt document.   

Meanwhile – consider what is shown in the Files > Templates submenu

Templates
   Open Template...
   Save as Template...
   Manage Templates...

On first encounter (without reading manual), expected ‟Open Template…”  to give a list of templates, where the selected one opens as new .odt document.   
Was surprised to see an open file dialog, but ok, no problem, can see my templates, make my choice, but notice after a while that an .ott file was opened, not a new .odt.)  (Not a complaint:  just reporting an empirical observation of a naive user). 

When faced with the choices in the current submenu, not immediately obvious that ‟File > Templates > Manage Templates” is the right choice – for now – to open a new document based on a chosen template).  

While if one was seeking to edit a template, then

   ‟Edit a Template...”

might be a more appropriate label in that submenu context...

Furthermore, note in contrast, that ‟Open” in Template Manager context menu DOES open a new .odt document, which may have influenced expectations for ‟Open Template…”), while ‟Edit” in the context menu in Template Manager opens a template for editing.  (+1 for a change to consistency.)

And to gild the lily…

‟Open Template…” is semi-integrated with Template Manager, because the default path in Options is the path used by Template Manager. (Presumably the user who changes that path setting has some understanding of the consequences, or at least now the help page recommends to use the Template Manager, along with an explanation about the relation between the Template Manager and the Options Path.)
Comment 4 Commit Notification 2020-12-10 14:02:06 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/141aacaea300177797949890af616cb6648f7282

tdf#138621 put icons back in File>Template submenu

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Justin L 2020-12-10 15:37:49 UTC
(In reply to sdc.blanco from comment #0)
> 1. ”Open Template” should be renamed to ”Edit Template”    
>    (explains its function better)
I have to agree with Edit Template after having just tested it. Normally when you "open" a template (like by double-clicking on a file), it becomes an untitled document. In this case, it is opened for editing the template itself as OP noted.
Comment 6 Commit Notification 2020-12-11 02:21:24 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/1c24e27eea98dbb2ea6cfb2a65361715957d61d5

tdf#138621 put icons back in File>Template submenu

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-12-14 09:29:37 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/807e31d4cacaa38ff71e322aba9c485d6e22daff

tdf#138621 Hide the .uno:TemplateManager from customization

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-12-20 08:20:30 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d054a17c23bbeeda48f14a0059431358bb45cf42

tdf#138621 relabel .uno:OpenTemplate command; change .uno:NewDoc tooltip

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-12-20 08:35:48 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6cbff81636b27194363fb906f54dbae70fbe4b68

Related to: tdf#138621  Change "Open Template" to "Edit Template"